package com.ningdatech.pmapi.projectlib.model.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 
 * </p>
 *
 * @author CMM
 * @since 2023-02-27
 */
@TableName("nd_project_status_change")
@ApiModel(value = "NdProjectStatusChange对象", description = "")
public class NdProjectStatusChange implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("状态机执行前的项目状态")
    private Integer beforeStatus;

    @ApiModelProperty("状态机执行后的项目状态")
    private Integer afterStatus;

    @ApiModelProperty("状态变更对应的事件")
    private String event;

    @ApiModelProperty("状态变更发生的时间")
    private LocalDateTime createOn;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public Long getProjectId() {
        return projectId;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }
    public Integer getBeforeStatus() {
        return beforeStatus;
    }

    public void setBeforeStatus(Integer beforeStatus) {
        this.beforeStatus = beforeStatus;
    }
    public Integer getAfterStatus() {
        return afterStatus;
    }

    public void setAfterStatus(Integer afterStatus) {
        this.afterStatus = afterStatus;
    }
    public String getEvent() {
        return event;
    }

    public void setEvent(String event) {
        this.event = event;
    }
    public LocalDateTime getCreateOn() {
        return createOn;
    }

    public void setCreateOn(LocalDateTime createOn) {
        this.createOn = createOn;
    }

    @Override
    public String toString() {
        return "NdProjectStatusChange{" +
            "id=" + id +
            ", projectId=" + projectId +
            ", beforeStatus=" + beforeStatus +
            ", afterStatus=" + afterStatus +
            ", event=" + event +
            ", createOn=" + createOn +
        "}";
    }
}
